#ifndef solutionstests_h
#define solutionstests_h

void identifyDifferentSolutions(bool equalmasses, int &ccNo, vector<Bodies> &ccSolutions,
                    vector<int> &markedSolutions, int &uniqueSol,const char* zerosTestedFileName, const char* undecidedFileName);
// ccNo -- the number of read solutions (the size of ccSolutions and markedSolutions arrays)
//  if !equalmasses then we just compare the solutions  (using Krawczyk operator)
//      otherwise we allow for permutations of bodies
// On output:
//  markedSolutions[i] =1 - then it is not counted as different solution in ccSolutions
//  markedSolutions[i] =0 - then it selected as a representative of unique solution (in the case of equalmasses we check again whether the ordering
//                                                           of bodies   is ok) 
//   uniqueSol -- the number of different (unique) solutions in ccSolutions
//  zerosTestedFileName - the name for the auxliary binary file, where the result of local search algorithm will be written, this can be used for some
//                     diagnostic purposes
//  undecidedFileName -  the name for the auxliary binary file, where the result of local search algorithm will be written, when undecided box arises, which
//                       is very unlikely





#endif
